@import '../../../../styles/mixins';

:host {
  cursor: pointer;
  padding: $padding / 2;
  border: none;
  text-decoration: none;
  border-radius: $border-radius;
  box-sizing: border-box;
  width: 100%;
  height: 40px;

  @include flex-center-layout();
  position: relative;

  &::before {
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    border-radius: $border-radius;
    clip-path: circle(0% at 50% 50%);
    transition: clip-path 0.3s $cubic-bezier, opacity 0.2s $cubic-bezier;
  }

  &.sfl-button {
    background-color: $color-white;
    .content {
      color: $color-accent1;
    }

    &::before {
      background-color: $color-primary;
      border: solid 1px $color-white;
      opacity: 0;
    }

    &:hover:not(:disabled) {
      .content {
        color: $color-white;
      }
      &::before {
        clip-path: circle(100% at 50% 50%);
        opacity: 1;
      }
    }
  }

  &.sfl-stroked-button {
    background-color: $color-primary;
    border: solid 1px $color-white;
    .content {
      color: $color-white;
    }

    &::before {
      background-color: $color-white;
      opacity: 0;
    }

    &:hover:not(:disabled) {
      .content {
        color: $color-accent1;
      }
      &::before {
        clip-path: circle(100% at 50% 50%);
        opacity: 1;
      }
    }
  }

  &:disabled {
    cursor: not-allowed;
    background-color: rgba($color-white, $alpha: 0.5);
    &::before {
      clip-path: circle(0% at 50% 50%);
    }
  }
}

.content {
  position: relative;
  font-family: 'TitilliumWeb';
  font-weight: 400;
  font-size: 15px;
  z-index: 10;
  transition: color 0.3s ease 80ms;
}

.before {
  position: static;
  z-index: 1;
  display: block;
  ::ng-deep {
    & > * {
      margin-right: $margin / 2;
      height: 25px;
      width: 25px;
      object-fit: cover;
    }
  }
}
